BLFS-5.0 Courier-0.43.2 Make Install error

JazerNorth google at jaynorth.net
Thu Apr 1 06:10:57 PST 2004


Bill's LFS Login wrote:

> On Thu, 1 Apr 2004, JazerNorth wrote:
> 
> 
>>Jim Gifford wrote:
>>
>>>Upgrade 0.45.2, that 0.43.2 has a security problem. Try this to make sure
>>>bin works
>>>touch test && chown bin test
>>>
>>
>>I found the in the LFS book the requirements for bin, and added the user
>>using the following:
>>
>>useradd -u 1 -g bin -d /bin -s /bin/sh bin
>>groupadd -g 1 bin
> 
> 
> I don't think you really want a full login-capable bin user. And
> shouldn't need a home dir either. All you *should* need is the entries
> in the passwd, shadow (depends) and group files. If courier demands
> a login shell, home dir, etc. , it is seriously broken, IMO.
> 
> 
>>Hope that helps someone else add the user bin to their users so they can
>>install Courier.
>>
>>By the way, it installed once I upgraded and added the user bin.
>>
>>Enjoy.
>>
>>JN
>>
> 
> 
OK.  I made the '/etc/passwd' line look like:
bin:x:1:1:bin:/dev/null:/bin/false

and the '/etc/group' linke look like:
bin:x:1:

Will that allow it to work correctly?


JN



More information about the blfs-support mailing list